Addresses v1 · Attributes
A grouping of operations that return single attributes of an address.
Before calling these endpoints, use a Geoscape Hub application with access to this API product. Authenticate with your Consumer Key in the Authorization header. See Authentication, Error Handling, Rate Limiting, and Attribution for shared integration guidance.
Required response fields must be present when their containing object is returned. Supply the documented request parameters when calling the endpoint.
List of buildings
Authentication: Use your Consumer Key in the
Authorizationheader.
Deprecated
The prefered method is to use the include parameter.
relatedAddressIdsis a list of addresses (identified by 'addressId') that are related to a building
Intended use
This resource returns a list of known buildings and links to their attributes for a given specific address denoted by the addressId
Links to further reading
path Parameters
addressIdThe unique address identifier.
List of buildings › Responses
Success
The JSON model of the Pagination Object
Address Details
Authentication: Use your Consumer Key in the
Authorizationheader.
Deprecated
The prefered method is to use the include parameter. Find out how here
Intended use
This resource provides the detailed components of the address.
Links to further reading
path Parameters
addressIdThe unique address identifier.
Address Details › Responses
Success
The JSON model of the Address Details Object
addressIdABS ASGS Main
Authentication: Use your Consumer Key in the
Authorizationheader.
Deprecated
The prefered method is to use the include parameter. Find out how here
Implementation Notes
The Australian Statistical Geography Standard (ASGS) provides a framework of statistical areas used by the Australian Bureau of Statistics (ABS) and other organisations to enable the publication of comparable and integrated statistics to a location.
This resource returns the ASGS Main structure for a given addressId. The structures for the 2011 and 2016 census releases are separate objects.
This information is also available through the use of the include parameter.
Intended use
The ASGS provides users with a set of standard areas for analysis, visualisation and integrating statistics. You can desensitise information from your business systems by referring to a statistical area rather than a uniquely identifiable address.
Links to further reading
path Parameters
addressIdThe unique address identifier.
ABS ASGS Main › Responses
OK
addressIdThe JSON model of the ASGS Main Object
ABS ASGS Remoteness
Authentication: Use your Consumer Key in the
Authorizationheader.
Deprecated
The prefered method is to use the include parameter. Find out how here
Implementation Notes
Return for a given addressId the ASGS Remoteness data from the 2011 and 2016 ABS Senses. 2011 and 2016 are separate objects.
Intended use
This data helps understand how far from major city centres an address is—used to determine the costs of delivering goods or services. Example: a business that contracts plumbers around Australia and wants to know how expensive it would be to truck roll the local plumber.
Links to further reading
Australian Statistical Geography Standard (ASGS) Defining Remoteness Areas
path Parameters
addressIdThe unique address identifier.
ABS ASGS Remoteness › Responses
OK
addressIdThe JSON model of the ASGS Remoteness Object
Commonwealth Electorate
Authentication: Use your Consumer Key in the
Authorizationheader.
Deprecated
The prefered method is to use the include parameter. Find out how here
Implementation Notes
Return the current effective commElectoralName that the address falls in.
Intended use
Understand what the electorate a given address falls in.
Links to further reading
path Parameters
addressIdThe unique address identifier.
Commonwealth Electorate › Responses
OK
addressIdThe JSON model of the Commonwealth Electorate Object
Geometry
Authentication: Use your Consumer Key in the
Authorizationheader.
Deprecated
The prefered method is to use the include parameter. Find out how here
Implementation Notes
Return the spatial location of an address by way of a latitude/longitude coordinate (ie. geocode) structured as geoJSON.
The
geoFeaturevalue describes the address point type (e.g. property centre, access point or building).
Intended use
Knowing the coordinates (geocode) for an address transforms the physical address description to a location on the Earth's surface. With this information, you can determine the distance or proximity of an address to other services or addresses.
Links to further reading
path Parameters
addressIdThe unique address identifier.
Geometry › Responses
OK
addressIdThe JSON model of Geometry Object
Local Government Area
Authentication: Use your Consumer Key in the
Authorizationheader.
Deprecated
The prefered method is to use the include parameter. Find out how here
Implementation Notes
Return the Local Government Area for a given addressId.
Intended use
Know which local government body is responsible for services at a given address.
Links to further reading
path Parameters
addressIdThe unique address identifier.
Local Government Area › Responses
OK
addressIdThe JSON model of Local Government Area Object
State Electorate
Authentication: Use your Consumer Key in the
Authorizationheader.
Deprecated
The prefered method is to use the include parameter. Find out how here
Implementation Notes
Return the state/territory upper and lower house electorate name(s) for a given addressId.
Intended use
Understand what the electorate a given address falls in.
Links to further reading
path Parameters
addressIdThe unique address identifier.
State Electorate › Responses
OK
addressIdThe JSON model of the State Electorate object